Bug 6533 - parallel build broken when building kpasswdd (merged build)
parallel build broken when building kpasswdd (merged build)
Status: CLOSED INVALID
Product: Samba 3.5
Classification: Unclassified
Component: Build environment
unspecified
Other Linux
: P3 normal
: ---
Assigned To: Jelmer Vernooij
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-05 10:37 UTC by Arkadiusz Miskiewicz
Modified: 2013-07-03 03:32 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Arkadiusz Miskiewicz 2009-07-05 10:37:32 UTC
When building samba 3.4.0 with -j X it fails (see below). Looks like some dependency with heimdal/lib/krb5/krb5-private.h in make is missing.

Full log: 
http://buildlogs.pld-linux.org/index.php?dist=th&arch=x86_64&ok=0&name=samba&id=7427f00e-e6f1-4df4-8794-ebddbc32e4f2

Compiling /home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/kdc/pac-glue.c                                                                          
Compiling /home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/kdc/default_config.c                                                            
In file included from /home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/kdc/kpasswdd.c:43:                                                          
/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal_build/kpasswdd-glue.h:6:43: error: heimdal/lib/krb5/krb5-private.h: No such file or directory                                                                                                                                                          
The following command failed:                                                                                                                                
x86_64-pld-linux-gcc -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/../heimdal_build -I.. -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4 -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/../lib/replace -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/hcrypto -I../lib/talloc -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/include -D_SAMBA_BUILD_=4 -DHAVE_CONFIG_H -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3 -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/kdc -I./../source4/heimdal/kdc -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/hdb -I./../source4/heimdal/lib/hdb -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I./../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/usr/include  -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -D_FORTIFY_SOURCE=2  -Iinclude -I./include  -I. -I. -I./../lib/replace -I./../lib/talloc -I./../lib/tevent -I./../lib/tdb/include -I./libaddns -I./librpc -I./.. -I./../lib/popt -I/usr/include -DLDAP_DEPRECATED -I/usr/include  -O2 -fno-strict-aliasing -fwrapv -march=x86-64 -gdwarf-2 -g2     -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/ldb_tdb -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/ldb/include   -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/../heimdal_build -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/gssapi -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/gssapi/gssapi -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/gssapi/spnego -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/gssapi/krb5 -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/gssapi/mech -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal_build -I./../source4/heimdal_build -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/roken -I./../source4/heimdal/lib/roken -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/gssapi     -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/../lib/tdb/include  -I./../lib/talloc   -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/lib/events -I./../source4/lib/events -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/../lib/tevent   -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/../heimdal_build -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/kdc -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/../heimdal_build -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/ntlm -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/asn1 -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/asn1 -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/../heimdal_build -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/hdb -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/../heimdal_build -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/lib/hdb -I/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/.
Compiling /home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/kdc/kerberos5.c
Compiling /home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/heimdal/kdc/krb5tgs.c
make: *** [/home/users/arekm/rpm/BUILD/samba-3.4.0/source3/../source4/kdc/kpasswdd.o] Error 1
Comment 1 Björn Jacke 2009-07-05 14:14:12 UTC
Yes, Samba4 resp. 3.4 with merged build currently does not work with make -j.
Jelmer, can you have a look at this?
Comment 2 Jelmer Vernooij 2009-07-30 06:53:14 UTC
(In reply to comment #1)
> Yes, Samba4 resp. 3.4 with merged build currently does not work with make -j.
> Jelmer, can you have a look at this?
> 

We don't have proper dependencies in Samba 4. There isn't a really good way to fix this with make without rebuilding files unnecessarily because it relies on timestamps.
Comment 3 Arkadiusz Miskiewicz 2010-03-01 15:45:40 UTC
Can this rebuilding happen for parallel build only? I guess it will still be faster than single build.
Comment 4 Guenther Deschner 2010-05-27 04:23:21 UTC
not going to be fixed for the merged build in 3.5, samba4 has moved to a new build system that allows to do parallel builds. once we have a full redesign of merged build from samba3 using waf, we can re-adress this.